#!/usr/bin/python

import sys
try:
    import sqlite
except:
    sys.exit()

from get_jma_data import *

if __name__ == "__main__":
    days_threshold = 90
    if len( sys.argv ) > 1:
        try:
            days_threshold = string.atoi( sys.argv[ 1 ] )
        except:
            pass
        pass
    
    import time
    lt = time.localtime( time.time() - 60 * 60 * 24 * days_threshold )
    year  = ( "%d" % lt[ 0 ] )[ -2: ]
    month = ( "00%d" % lt[ 1 ] )[ -2: ]
    day   = ( "00%d" % lt[ 2 ] )[ -2: ]
    date_threshold = "%s%s%s" % ( year, month, day )

    #command = 'select url from earthquake where date < "%s000000";' % date_threshold
    #print command

    command = 'delete from earthquake where date < "%s000000";' % date_threshold
    cnx = sqlite.connect( filename_db )
    cur = cnx.cursor()
    cur.execute( command )
    cnx.commit()
    cnx.close()
    pass
